## units 0.1

=== DESCRIPTION ===
Package: units
Version: 0.1
Title: Measurement Units of Physical Quantities for R Vectors
Authors@R: c(person("Edzer", "Pebesma", role = c("aut", "cre"),
				email = "edzer.pebesma@uni-muenster.de"))
Depends: R (>= 3.0.0)
Imports: utils, stats, udunits2
Suggests: knitr
VignetteBuilder: knitr
Description: Support for measurement units of physical quantities in R vectors, based on the udunits library from unidata.
License: GPL-2
URL: https://github.com/edzer/units/
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-06-09 12:21:19 UTC; edzer
Author: Edzer Pebesma [aut, cre]
Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
Repository: CRAN
Date/Publication: 2016-06-09 15:19:23

## units 0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: units
-Version: 0.1
+Version: 0.2
 Title: Measurement Units of Physical Quantities for R Vectors
 Authors@R: c(person("Edzer", "Pebesma", role = c("aut", "cre"),
 				email = "edzer.pebesma@uni-muenster.de"))
@@ -12,8 +12,8 @@
 URL: https://github.com/edzer/units/
 RoxygenNote: 5.0.1
 NeedsCompilation: no
-Packaged: 2016-06-09 12:21:19 UTC; edzer
+Packaged: 2016-06-19 19:45:08 UTC; edzer
 Author: Edzer Pebesma [aut, cre]
 Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
 Repository: CRAN
-Date/Publication: 2016-06-09 15:19:23
+Date/Publication: 2016-06-20 07:55:08

## units 0.3

=== DESCRIPTION ===
Package: units
Version: 0.3
Title: Measurement Units for R Vectors
Authors@R: c(person("Edzer", "Pebesma", role = c("aut", "cre"),
		email = "edzer.pebesma@uni-muenster.de"),
		person("Thomas", "Mailund", role = "aut", email = "mailund@birc.au.dk"))
Depends: R (>= 3.0.0)
Imports: udunits2
Suggests: NISTunits, measurements, xml2, tibble, knitr, testthat, covr
VignetteBuilder: knitr
Description: Support for measurement units in R vectors; automatic propagation, conversion, derivation and simplification of units; raising errors in case of unit incompatibility. Compatible with difftime. Uses the UNIDATA udunits library and unit database for unit conversion and compatibility checking.
LazyData: yes
License: GPL-2
URL: https://github.com/edzer/units/
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-09-16 13:59:19 UTC; edzer
Author: Edzer Pebesma [aut, cre],
  Thomas Mailund [aut]
Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
Repository: CRAN
Date/Publication: 2016-09-17 00:38:23

## units 0.4

=== DESCRIPTION ===
Package: units
Version: 0.4
Title: Measurement Units for R Vectors
Authors@R: c(person("Edzer", "Pebesma", role = c("aut", "cre"),
		email = "edzer.pebesma@uni-muenster.de"),
		person("Thomas", "Mailund", role = "aut", email = "mailund@birc.au.dk"))
Depends: R (>= 3.0.0)
Imports: udunits2 (>= 0.13)
Suggests: NISTunits, measurements, xml2, tibble, knitr, testthat, covr
VignetteBuilder: knitr
Description: Support for measurement units in R vectors; automatic propagation, conversion, derivation and simplification of units; raising errors in case of unit incompatibility. Compatible with difftime. Uses the UNIDATA udunits library and unit database for unit conversion and compatibility checking.
LazyData: yes
License: GPL-2
URL: https://github.com/edzer/units/
BugReports: https://github.com/edzer/units/issues/
RoxygenNote: 5.0.1
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2016-11-20 16:12:55 UTC; edzer
Author: Edzer Pebesma [aut, cre],
  Thomas Mailund [aut]
Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
Repository: CRAN
Date/Publication: 2016-11-21 12:02:00

## units 0.4-1

=== DESCRIPTION ===
Package: units
Version: 0.4-1
Title: Measurement Units for R Vectors
Authors@R: c(person("Edzer", "Pebesma", role = c("aut", "cre"),
		email = "edzer.pebesma@uni-muenster.de"),
		person("Thomas", "Mailund", role = "aut", email = "mailund@birc.au.dk"))
Depends: R (>= 3.0.0)
Imports: udunits2 (>= 0.13)
Suggests: NISTunits, measurements, xml2, tibble, knitr, testthat, covr
VignetteBuilder: knitr
Description: Support for measurement units in R vectors; automatic propagation, conversion, derivation and simplification of units; raising errors in case of unit incompatibility. Compatible with the difftime class. Uses the UNIDATA udunits library and unit database for unit conversion and compatibility checking.
LazyData: yes
License: GPL-2
URL: https://github.com/edzer/units/
BugReports: https://github.com/edzer/units/issues/
RoxygenNote: 5.0.1
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2016-12-09 11:17:56 UTC; edzer
Author: Edzer Pebesma [aut, cre],
  Thomas Mailund [aut]
Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
Repository: CRAN
Date/Publication: 2016-12-09 13:13:32

## units 0.4-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: units
-Version: 0.4-1
+Version: 0.4-2
 Title: Measurement Units for R Vectors
 Authors@R: c(person("Edzer", "Pebesma", role = c("aut", "cre"),
 		email = "edzer.pebesma@uni-muenster.de"),
@@ -16,9 +16,9 @@
 RoxygenNote: 5.0.1
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2016-12-09 11:17:56 UTC; edzer
+Packaged: 2017-01-13 08:07:21 UTC; edzer
 Author: Edzer Pebesma [aut, cre],
   Thomas Mailund [aut]
 Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
 Repository: CRAN
-Date/Publication: 2016-12-09 13:13:32
+Date/Publication: 2017-01-13 15:40:53

## units 0.4-3

=== DESCRIPTION ===
Package: units
Version: 0.4-3
Title: Measurement Units for R Vectors
Authors@R: c(person("Edzer", "Pebesma", role = c("aut", "cre"),
		email = "edzer.pebesma@uni-muenster.de"),
		person("Thomas", "Mailund", role = "aut", email = "mailund@birc.au.dk"))
Depends: R (>= 3.0.0)
Imports: udunits2 (>= 0.13)
Suggests: NISTunits, measurements, xml2, tibble, knitr, testthat, covr,
        ggforce, magrittr
VignetteBuilder: knitr
Description: Support for measurement units in R vectors; automatic propagation,
    conversion, derivation and simplification of units; raising errors in case
    of unit incompatibility. Compatible with the difftime class. Uses the UNIDATA
    udunits library and unit database for unit conversion and compatibility
    checking.
License: GPL-2
URL: https://github.com/edzer/units/
BugReports: https://github.com/edzer/units/issues/
RoxygenNote: 6.0.1
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2017-03-24 21:58:23 UTC; edzer
Author: Edzer Pebesma [aut, cre],
  Thomas Mailund [aut]
Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
Repository: CRAN
Date/Publication: 2017-03-25 11:11:42 UTC

## units 0.4-4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: units
-Version: 0.4-3
+Version: 0.4-4
 Title: Measurement Units for R Vectors
 Authors@R: c(person("Edzer", "Pebesma", role = c("aut", "cre"),
 		email = "edzer.pebesma@uni-muenster.de"),
@@ -20,9 +20,9 @@
 RoxygenNote: 6.0.1
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2017-03-24 21:58:23 UTC; edzer
+Packaged: 2017-04-20 21:03:26 UTC; edzer
 Author: Edzer Pebesma [aut, cre],
   Thomas Mailund [aut]
 Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
 Repository: CRAN
-Date/Publication: 2017-03-25 11:11:42 UTC
+Date/Publication: 2017-04-20 23:40:20 UTC

## units 0.4-5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: units
-Version: 0.4-4
+Version: 0.4-5
 Title: Measurement Units for R Vectors
 Authors@R: c(person("Edzer", "Pebesma", role = c("aut", "cre"),
 		email = "edzer.pebesma@uni-muenster.de"),
@@ -20,9 +20,9 @@
 RoxygenNote: 6.0.1
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2017-04-20 21:03:26 UTC; edzer
+Packaged: 2017-06-13 13:50:39 UTC; edzer
 Author: Edzer Pebesma [aut, cre],
   Thomas Mailund [aut]
 Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
 Repository: CRAN
-Date/Publication: 2017-04-20 23:40:20 UTC
+Date/Publication: 2017-06-15 00:08:02 UTC

## units 0.4-6

=== DESCRIPTION ===
Package: units
Version: 0.4-6
Title: Measurement Units for R Vectors
Authors@R: c(person("Edzer", "Pebesma", role = c("aut", "cre"),
		email = "edzer.pebesma@uni-muenster.de"),
		person("Thomas", "Mailund", role = "aut", email = "mailund@birc.au.dk"))
Depends: R (>= 3.0.0)
Imports: udunits2 (>= 0.13)
Suggests: NISTunits, measurements, xml2, tibble, knitr, testthat,
        ggforce, magrittr
VignetteBuilder: knitr
Description: Support for measurement units in R vectors, matrices
	and arrays: automatic propagation, conversion, derivation
	and simplification of units; raising errors in case of unit
	incompatibility. Compatible with the POSIXct, Date and difftime 
	classes. Uses the UNIDATA udunits library and unit database for 
	unit compatibility checking and conversion.
License: GPL-2
URL: https://github.com/edzer/units/
BugReports: https://github.com/edzer/units/issues/
RoxygenNote: 6.0.1
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2017-08-27 10:21:13 UTC; edzer
Author: Edzer Pebesma [aut, cre],
  Thomas Mailund [aut]
Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
Repository: CRAN
Date/Publication: 2017-08-27 16:21:36 UTC

## units 0.5-0

=== DESCRIPTION ===
Package: units
Version: 0.5-0
Title: Measurement Units for R Vectors
Authors@R: c(person("Edzer", "Pebesma", role = c("aut", "cre"), email = "edzer.pebesma@uni-muenster.de", comment = c(ORCID = "0000-0001-8049-7069")),
		person("Thomas", "Mailund", role = "aut", email = "mailund@birc.au.dk"),
		person("Tomasz", "Kalinowski", role = "aut"))
Depends: R (>= 3.0.0)
Imports: udunits2 (>= 0.13)
Suggests: NISTunits, measurements, xml2, tibble, pillar, knitr,
        testthat, ggforce, rmarkdown, magrittr
VignetteBuilder: knitr
Description: Support for measurement units in R vectors, matrices
	and arrays: automatic propagation, conversion, derivation
	and simplification of units; raising errors in case of unit
	incompatibility. Compatible with the POSIXct, Date and difftime 
	classes. Uses the UNIDATA udunits library and unit database for 
	unit compatibility checking and conversion.
License: GPL-2
URL: https://github.com/r-quantities/units/
BugReports: https://github.com/r-quantities/units/issues/
RoxygenNote: 6.0.1
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2018-01-07 22:15:52 UTC; edzer
Author: Edzer Pebesma [aut, cre] (0000-0001-8049-7069),
  Thomas Mailund [aut],
  Tomasz Kalinowski [aut]
Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
Repository: CRAN
Date/Publication: 2018-01-07 22:53:17 UTC

## units 0.5-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: units
-Version: 0.5-0
+Version: 0.5-1
 Title: Measurement Units for R Vectors
 Authors@R: c(person("Edzer", "Pebesma", role = c("aut", "cre"), email = "edzer.pebesma@uni-muenster.de", comment = c(ORCID = "0000-0001-8049-7069")),
 		person("Thomas", "Mailund", role = "aut", email = "mailund@birc.au.dk"),
@@ -21,10 +21,10 @@
 RoxygenNote: 6.0.1
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2018-01-07 22:15:52 UTC; edzer
+Packaged: 2018-01-08 13:26:31 UTC; edzer
 Author: Edzer Pebesma [aut, cre] (0000-0001-8049-7069),
   Thomas Mailund [aut],
   Tomasz Kalinowski [aut]
 Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
 Repository: CRAN
-Date/Publication: 2018-01-07 22:53:17 UTC
+Date/Publication: 2018-01-08 14:03:45 UTC

## units 0.6-0

=== DESCRIPTION ===
Package: units
Version: 0.6-0
Title: Measurement Units for R Vectors
Authors@R: c(person("Edzer", "Pebesma", role = c("aut", "cre"), email = "edzer.pebesma@uni-muenster.de", comment = c(ORCID = "0000-0001-8049-7069")),
		person("Thomas", "Mailund", role = "aut", email = "mailund@birc.au.dk"),
		person("Tomasz", "Kalinowski", role = "aut"),
		person("James", "Hiebert", role = "ctb"),
		person("Iñaki", "Ucar", role = "ctb", email = "i.ucar86@gmail.com", comment = c(ORCID = "0000-0001-6403-5550"))
		)
Depends: R (>= 3.0.0)
Imports: Rcpp
LinkingTo: Rcpp
Suggests: udunits2, NISTunits, measurements, xml2, tibble, pillar,
        knitr, testthat, ggforce, rmarkdown, magrittr
VignetteBuilder: knitr
Description: Support for measurement units in R vectors, matrices
	and arrays: automatic propagation, conversion, derivation
	and simplification of units; raising errors in case of unit
	incompatibility. Compatible with the POSIXct, Date and difftime 
	classes. Uses the UNIDATA udunits library and unit database for 
	unit compatibility checking and conversion.
SystemRequirements: udunits-2
License: GPL-2
URL: https://github.com/r-quantities/units/
BugReports: https://github.com/r-quantities/units/issues/
RoxygenNote: 6.0.1
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2018-06-09 10:48:44 UTC; edzer
Author: Edzer Pebesma [aut, cre] (<https://orcid.org/0000-0001-8049-7069>),
  Thomas Mailund [aut],
  Tomasz Kalinowski [aut],
  James Hiebert [ctb],
  Iñaki Ucar [ctb] (<https://orcid.org/0000-0001-6403-5550>)
Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
Repository: CRAN
Date/Publication: 2018-06-09 19:52:55 UTC

## units 0.6-1

=== DESCRIPTION ===
Package: units
Version: 0.6-1
Title: Measurement Units for R Vectors
Authors@R: c(person("Edzer", "Pebesma", role = c("aut", "cre"), email = "edzer.pebesma@uni-muenster.de", comment = c(ORCID = "0000-0001-8049-7069")),
		person("Thomas", "Mailund", role = "aut", email = "mailund@birc.au.dk"),
		person("Tomasz", "Kalinowski", role = "aut"),
		person("James", "Hiebert", role = "ctb"),
		person("Iñaki", "Ucar", role = "ctb", email = "iucar@fedoraproject.org", comment = c(ORCID = "0000-0001-6403-5550"))
		)
Depends: R (>= 3.0.2)
Imports: Rcpp
LinkingTo: Rcpp (>= 0.12.10)
Suggests: udunits2, NISTunits, measurements, xml2, tibble, pillar (>=
        1.3.0), knitr, testthat, ggforce, rmarkdown, magrittr
VignetteBuilder: knitr
Description: Support for measurement units in R vectors, matrices
	and arrays: automatic propagation, conversion, derivation
	and simplification of units; raising errors in case of unit
	incompatibility. Compatible with the POSIXct, Date and difftime 
	classes. Uses the UNIDATA udunits library and unit database for 
	unit compatibility checking and conversion.
SystemRequirements: udunits-2
License: GPL-2
URL: https://github.com/r-quantities/units/
BugReports: https://github.com/r-quantities/units/issues/
RoxygenNote: 6.1.0
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2018-09-21 15:03:35 UTC; edzer
Author: Edzer Pebesma [aut, cre] (<https://orcid.org/0000-0001-8049-7069>),
  Thomas Mailund [aut],
  Tomasz Kalinowski [aut],
  James Hiebert [ctb],
  Iñaki Ucar [ctb] (<https://orcid.org/0000-0001-6403-5550>)
Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
Repository: CRAN
Date/Publication: 2018-09-21 21:40:03 UTC

## units 0.6-3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: units
-Version: 0.6-1
+Version: 0.6-3
 Title: Measurement Units for R Vectors
 Authors@R: c(person("Edzer", "Pebesma", role = c("aut", "cre"), email = "edzer.pebesma@uni-muenster.de", comment = c(ORCID = "0000-0001-8049-7069")),
 		person("Thomas", "Mailund", role = "aut", email = "mailund@birc.au.dk"),
@@ -19,14 +19,17 @@
 	incompatibility. Compatible with the POSIXct, Date and difftime 
 	classes. Uses the UNIDATA udunits library and unit database for 
 	unit compatibility checking and conversion.
+	Documentation about 'units' is provided in the paper by Pebesma, Mailund &
+  Hiebert (2016, <doi:10.32614/RJ-2016-061>), included in this package as a
+  vignette; see 'citation("units")' for details.
 SystemRequirements: udunits-2
 License: GPL-2
 URL: https://github.com/r-quantities/units/
 BugReports: https://github.com/r-quantities/units/issues/
-RoxygenNote: 6.1.0
+RoxygenNote: 6.1.1
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2018-09-21 15:03:35 UTC; edzer
+Packaged: 2019-05-02 14:16:41 UTC; edzer
 Author: Edzer Pebesma [aut, cre] (<https://orcid.org/0000-0001-8049-7069>),
   Thomas Mailund [aut],
   Tomasz Kalinowski [aut],
@@ -34,4 +37,4 @@
   Iñaki Ucar [ctb] (<https://orcid.org/0000-0001-6403-5550>)
 Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
 Repository: CRAN
-Date/Publication: 2018-09-21 21:40:03 UTC
+Date/Publication: 2019-05-03 21:50:03 UTC

## units 0.6-4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: units
-Version: 0.6-3
+Version: 0.6-4
 Title: Measurement Units for R Vectors
 Authors@R: c(person("Edzer", "Pebesma", role = c("aut", "cre"), email = "edzer.pebesma@uni-muenster.de", comment = c(ORCID = "0000-0001-8049-7069")),
 		person("Thomas", "Mailund", role = "aut", email = "mailund@birc.au.dk"),
@@ -29,7 +29,7 @@
 RoxygenNote: 6.1.1
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2019-05-02 14:16:41 UTC; edzer
+Packaged: 2019-08-22 05:40:44 UTC; edzer
 Author: Edzer Pebesma [aut, cre] (<https://orcid.org/0000-0001-8049-7069>),
   Thomas Mailund [aut],
   Tomasz Kalinowski [aut],
@@ -37,4 +37,4 @@
   Iñaki Ucar [ctb] (<https://orcid.org/0000-0001-6403-5550>)
 Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
 Repository: CRAN
-Date/Publication: 2019-05-03 21:50:03 UTC
+Date/Publication: 2019-08-22 06:30:02 UTC

## units 0.6-6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: units
-Version: 0.6-4
+Version: 0.6-6
 Title: Measurement Units for R Vectors
 Authors@R: c(person("Edzer", "Pebesma", role = c("aut", "cre"), email = "edzer.pebesma@uni-muenster.de", comment = c(ORCID = "0000-0001-8049-7069")),
 		person("Thomas", "Mailund", role = "aut", email = "mailund@birc.au.dk"),
@@ -26,10 +26,10 @@
 License: GPL-2
 URL: https://github.com/r-quantities/units/
 BugReports: https://github.com/r-quantities/units/issues/
-RoxygenNote: 6.1.1
+RoxygenNote: 7.0.2
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2019-08-22 05:40:44 UTC; edzer
+Packaged: 2020-03-16 16:02:54 UTC; edzer
 Author: Edzer Pebesma [aut, cre] (<https://orcid.org/0000-0001-8049-7069>),
   Thomas Mailund [aut],
   Tomasz Kalinowski [aut],
@@ -37,4 +37,4 @@
   Iñaki Ucar [ctb] (<https://orcid.org/0000-0001-6403-5550>)
 Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
 Repository: CRAN
-Date/Publication: 2019-08-22 06:30:02 UTC
+Date/Publication: 2020-03-16 17:30:02 UTC

## units 0.7-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: units
-Version: 0.6-6
+Version: 0.7-0
 Title: Measurement Units for R Vectors
 Authors@R: c(person("Edzer", "Pebesma", role = c("aut", "cre"), email = "edzer.pebesma@uni-muenster.de", comment = c(ORCID = "0000-0001-8049-7069")),
 		person("Thomas", "Mailund", role = "aut", email = "mailund@birc.au.dk"),
@@ -10,8 +10,9 @@
 Depends: R (>= 3.0.2)
 Imports: Rcpp
 LinkingTo: Rcpp (>= 0.12.10)
-Suggests: udunits2, NISTunits, measurements, xml2, tibble, pillar (>=
-        1.3.0), knitr, testthat, ggforce, rmarkdown, magrittr
+Suggests: udunits2, NISTunits, measurements, xml2, magrittr, pillar (>=
+        1.3.0), dplyr (>= 1.0.0), vctrs (>= 0.3.1), knitr, testthat,
+        ggforce, rmarkdown
 VignetteBuilder: knitr
 Description: Support for measurement units in R vectors, matrices
 	and arrays: automatic propagation, conversion, derivation
@@ -26,10 +27,10 @@
 License: GPL-2
 URL: https://github.com/r-quantities/units/
 BugReports: https://github.com/r-quantities/units/issues/
-RoxygenNote: 7.0.2
+RoxygenNote: 7.1.1
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2020-03-16 16:02:54 UTC; edzer
+Packaged: 2021-02-21 10:27:08 UTC; edzer
 Author: Edzer Pebesma [aut, cre] (<https://orcid.org/0000-0001-8049-7069>),
   Thomas Mailund [aut],
   Tomasz Kalinowski [aut],
@@ -37,4 +38,4 @@
   Iñaki Ucar [ctb] (<https://orcid.org/0000-0001-6403-5550>)
 Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
 Repository: CRAN
-Date/Publication: 2020-03-16 17:30:02 UTC
+Date/Publication: 2021-02-25 09:30:03 UTC

## units 0.7-1

=== DESCRIPTION ===
Package: units
Version: 0.7-1
Title: Measurement Units for R Vectors
Authors@R: c(person("Edzer", "Pebesma", role = c("aut", "cre"), email = "edzer.pebesma@uni-muenster.de", comment = c(ORCID = "0000-0001-8049-7069")),
    person("Thomas", "Mailund", role = "aut", email = "mailund@birc.au.dk"),
    person("Tomasz", "Kalinowski", role = "aut"),
    person("James", "Hiebert", role = "ctb"),
    person("Iñaki", "Ucar", role = "aut", email = "iucar@fedoraproject.org", comment = c(ORCID = "0000-0001-6403-5550"))
    )
Depends: R (>= 3.0.2)
Imports: Rcpp
LinkingTo: Rcpp (>= 0.12.10)
Suggests: udunits2, NISTunits, measurements, xml2, magrittr, pillar (>=
        1.3.0), dplyr (>= 1.0.0), vctrs (>= 0.3.1), knitr, testthat,
        ggforce, rmarkdown
VignetteBuilder: knitr
Description: Support for measurement units in R vectors, matrices
    and arrays: automatic propagation, conversion, derivation
    and simplification of units; raising errors in case of unit
    incompatibility. Compatible with the POSIXct, Date and difftime 
    classes. Uses the UNIDATA udunits library and unit database for 
    unit compatibility checking and conversion.
    Documentation about 'units' is provided in the paper by Pebesma, Mailund &
    Hiebert (2016, <doi:10.32614/RJ-2016-061>), included in this package as a
    vignette; see 'citation("units")' for details.
SystemRequirements: udunits-2
License: GPL-2
URL: https://github.com/r-quantities/units/
BugReports: https://github.com/r-quantities/units/issues/
RoxygenNote: 7.1.1
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2021-03-11 11:58:14 UTC; edzer
Author: Edzer Pebesma [aut, cre] (<https://orcid.org/0000-0001-8049-7069>),
  Thomas Mailund [aut],
  Tomasz Kalinowski [aut],
  James Hiebert [ctb],
  Iñaki Ucar [aut] (<https://orcid.org/0000-0001-6403-5550>)
Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
Repository: CRAN
Date/Publication: 2021-03-16 13:40:02 UTC

## units 0.7-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: units
-Version: 0.7-1
+Version: 0.7-2
 Title: Measurement Units for R Vectors
 Authors@R: c(person("Edzer", "Pebesma", role = c("aut", "cre"), email = "edzer.pebesma@uni-muenster.de", comment = c(ORCID = "0000-0001-8049-7069")),
     person("Thomas", "Mailund", role = "aut", email = "mailund@birc.au.dk"),
@@ -11,8 +11,8 @@
 Imports: Rcpp
 LinkingTo: Rcpp (>= 0.12.10)
 Suggests: udunits2, NISTunits, measurements, xml2, magrittr, pillar (>=
-        1.3.0), dplyr (>= 1.0.0), vctrs (>= 0.3.1), knitr, testthat,
-        ggforce, rmarkdown
+        1.3.0), dplyr (>= 1.0.0), vctrs (>= 0.3.1), knitr, testthat (>=
+        3.0.0), ggforce, rmarkdown
 VignetteBuilder: knitr
 Description: Support for measurement units in R vectors, matrices
     and arrays: automatic propagation, conversion, derivation
@@ -29,8 +29,9 @@
 BugReports: https://github.com/r-quantities/units/issues/
 RoxygenNote: 7.1.1
 Encoding: UTF-8
+Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2021-03-11 11:58:14 UTC; edzer
+Packaged: 2021-06-08 09:12:03 UTC; edzer
 Author: Edzer Pebesma [aut, cre] (<https://orcid.org/0000-0001-8049-7069>),
   Thomas Mailund [aut],
   Tomasz Kalinowski [aut],
@@ -38,4 +39,4 @@
   Iñaki Ucar [aut] (<https://orcid.org/0000-0001-6403-5550>)
 Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
 Repository: CRAN
-Date/Publication: 2021-03-16 13:40:02 UTC
+Date/Publication: 2021-06-08 15:00:02 UTC

## units 0.8-3

=== DESCRIPTION ===
Package: units
Version: 0.8-3
Title: Measurement Units for R Vectors
Authors@R: c(person("Edzer", "Pebesma", role = c("aut", "cre"), email = "edzer.pebesma@uni-muenster.de", comment = c(ORCID = "0000-0001-8049-7069")),
    person("Thomas", "Mailund", role = "aut", email = "mailund@birc.au.dk"),
    person("Tomasz", "Kalinowski", role = "aut"),
    person("James", "Hiebert", role = "ctb"),
    person("Iñaki", "Ucar", role = "aut", email = "iucar@fedoraproject.org", comment = c(ORCID = "0000-0001-6403-5550")),
    person("Thomas Lin", "Pedersen", role = "ctb")
    )
Depends: R (>= 3.0.2)
Imports: Rcpp
LinkingTo: Rcpp (>= 0.12.10)
Suggests: NISTunits, measurements, xml2, magrittr, pillar (>= 1.3.0),
        dplyr (>= 1.0.0), vctrs (>= 0.3.1), ggplot2 (> 3.2.1), testthat
        (>= 3.0.0), vdiffr, knitr, rmarkdown
VignetteBuilder: knitr
Description: Support for measurement units in R vectors, matrices
    and arrays: automatic propagation, conversion, derivation
    and simplification of units; raising errors in case of unit
    incompatibility. Compatible with the POSIXct, Date and difftime 
    classes. Uses the UNIDATA udunits library and unit database for 
    unit compatibility checking and conversion.
    Documentation about 'units' is provided in the paper by Pebesma, Mailund &
    Hiebert (2016, <doi:10.32614/RJ-2016-061>), included in this package as a
    vignette; see 'citation("units")' for details.
SystemRequirements: udunits-2
License: GPL-2
URL: https://r-quantities.github.io/units/,
        https://github.com/r-quantities/units
BugReports: https://github.com/r-quantities/units/issues
RoxygenNote: 7.2.3
Encoding: UTF-8
Config/testthat/edition: 3
NeedsCompilation: yes
Packaged: 2023-08-10 08:57:25 UTC; edzer
Author: Edzer Pebesma [aut, cre] (<https://orcid.org/0000-0001-8049-7069>),
  Thomas Mailund [aut],
  Tomasz Kalinowski [aut],
  James Hiebert [ctb],
  Iñaki Ucar [aut] (<https://orcid.org/0000-0001-6403-5550>),
  Thomas Lin Pedersen [ctb]
Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
Repository: CRAN
Date/Publication: 2023-08-10 23:10:02 UTC

## units 0.8-4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: units
-Version: 0.8-3
+Version: 0.8-4
 Title: Measurement Units for R Vectors
 Authors@R: c(person("Edzer", "Pebesma", role = c("aut", "cre"), email = "edzer.pebesma@uni-muenster.de", comment = c(ORCID = "0000-0001-8049-7069")),
     person("Thomas", "Mailund", role = "aut", email = "mailund@birc.au.dk"),
@@ -33,7 +33,7 @@
 Encoding: UTF-8
 Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2023-08-10 08:57:25 UTC; edzer
+Packaged: 2023-09-12 18:26:45 UTC; edzer
 Author: Edzer Pebesma [aut, cre] (<https://orcid.org/0000-0001-8049-7069>),
   Thomas Mailund [aut],
   Tomasz Kalinowski [aut],
@@ -42,4 +42,4 @@
   Thomas Lin Pedersen [ctb]
 Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
 Repository: CRAN
-Date/Publication: 2023-08-10 23:10:02 UTC
+Date/Publication: 2023-09-13 17:10:02 UTC

## units 0.8-6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: units
-Version: 0.8-4
+Version: 0.8-6
 Title: Measurement Units for R Vectors
 Authors@R: c(person("Edzer", "Pebesma", role = c("aut", "cre"), email = "edzer.pebesma@uni-muenster.de", comment = c(ORCID = "0000-0001-8049-7069")),
     person("Thomas", "Mailund", role = "aut", email = "mailund@birc.au.dk"),
@@ -13,7 +13,7 @@
 LinkingTo: Rcpp (>= 0.12.10)
 Suggests: NISTunits, measurements, xml2, magrittr, pillar (>= 1.3.0),
         dplyr (>= 1.0.0), vctrs (>= 0.3.1), ggplot2 (> 3.2.1), testthat
-        (>= 3.0.0), vdiffr, knitr, rmarkdown
+        (>= 3.0.0), vdiffr, knitr, rvest, rmarkdown
 VignetteBuilder: knitr
 Description: Support for measurement units in R vectors, matrices
     and arrays: automatic propagation, conversion, derivation
@@ -29,11 +29,11 @@
 URL: https://r-quantities.github.io/units/,
         https://github.com/r-quantities/units
 BugReports: https://github.com/r-quantities/units/issues
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 Encoding: UTF-8
 Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2023-09-12 18:26:45 UTC; edzer
+Packaged: 2025-03-07 20:52:20 UTC; edzer
 Author: Edzer Pebesma [aut, cre] (<https://orcid.org/0000-0001-8049-7069>),
   Thomas Mailund [aut],
   Tomasz Kalinowski [aut],
@@ -42,4 +42,4 @@
   Thomas Lin Pedersen [ctb]
 Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
 Repository: CRAN
-Date/Publication: 2023-09-13 17:10:02 UTC
+Date/Publication: 2025-03-08 00:40:02 UTC

## units 1.0-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: units
-Version: 0.8-6
+Version: 1.0-0
 Title: Measurement Units for R Vectors
 Authors@R: c(person("Edzer", "Pebesma", role = c("aut", "cre"), email = "edzer.pebesma@uni-muenster.de", comment = c(ORCID = "0000-0001-8049-7069")),
     person("Thomas", "Mailund", role = "aut", email = "mailund@birc.au.dk"),
@@ -8,7 +8,7 @@
     person("Iñaki", "Ucar", role = "aut", email = "iucar@fedoraproject.org", comment = c(ORCID = "0000-0001-6403-5550")),
     person("Thomas Lin", "Pedersen", role = "ctb")
     )
-Depends: R (>= 3.0.2)
+Depends: R (>= 3.5.0)
 Imports: Rcpp
 LinkingTo: Rcpp (>= 0.12.10)
 Suggests: NISTunits, measurements, xml2, magrittr, pillar (>= 1.3.0),
@@ -29,17 +29,18 @@
 URL: https://r-quantities.github.io/units/,
         https://github.com/r-quantities/units
 BugReports: https://github.com/r-quantities/units/issues
-RoxygenNote: 7.3.2
+RoxygenNote: 7.3.3
 Encoding: UTF-8
 Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2025-03-07 20:52:20 UTC; edzer
-Author: Edzer Pebesma [aut, cre] (<https://orcid.org/0000-0001-8049-7069>),
+Packaged: 2025-10-05 19:45:48 UTC; edzer
+Author: Edzer Pebesma [aut, cre] (ORCID:
+    <https://orcid.org/0000-0001-8049-7069>),
   Thomas Mailund [aut],
   Tomasz Kalinowski [aut],
   James Hiebert [ctb],
-  Iñaki Ucar [aut] (<https://orcid.org/0000-0001-6403-5550>),
+  Iñaki Ucar [aut] (ORCID: <https://orcid.org/0000-0001-6403-5550>),
   Thomas Lin Pedersen [ctb]
 Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
 Repository: CRAN
-Date/Publication: 2025-03-08 00:40:02 UTC
+Date/Publication: 2025-10-09 10:40:02 UTC

## units 2.02

=== debian/changelog ===
units (2.02-2) unstable; urgency=medium

  * Add bisonfix.patch from upstream to allow building with bison 3
    (closes: #733374).
  * Standards-Version 3.9.5, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 04 Jan 2014 11:01:41 +0100

units (2.02-1) unstable; urgency=low

  * New upstream version.
  * Add texinfo.patch to fix @tex sections with texinfo 5.
  * Add preserve-cppflags.patch to keep CPPFLAGS.
  * Use debian/clean to delete files instead of overriding dh_clean;
    delete parse.tab.c and units.info since they're re-generated at build
    time, and build-depend on bison.
  * Install units_cur now that it works, and build-depend on python.

 -- Stephen Kitt <skitt@debian.org>  Thu, 18 Jul 2013 00:34:37 +0200

units (2.01-1) unstable; urgency=low

  * Adopt package (closes: #705770).
  * New upstream version (closes: #702543, LP: #1019786):
    - includes updated CODATA values (closes: #591526);
    - defines imperial pint as 20 imperial fluid ounces (closes: #637092);
    - updates manpage fixing all reported issues (closes: #606403,
      LP: #1009549);
    - adds Taiwanese units (closes: #604615);
    - explains how to view available units (closes: #661903, #704506);
    - adds the twip unit (closes: #520428).
  * Use simplified dh 9 rules (LP: #496810).
  * Specify source format "3.0 (quilt)" and remove units.man on clean (it
    is modified during the build).
  * Add watch file provided by Bart Martens (thanks!).
  * Drop obsolete build-dependency on texi2html.
  * Use dh_autoreconf to update the configure script automatically.
  * wrap-and-sort the control files.
  * Drop obsolete libreadline{5,6}-dev alternative build-dependencies.
  * Add collab-maint VCS information.
  * Standards-Version 3.9.4, no further change required.
  * Drop obsolete build-dependency on dpkg or install-info.
  * Add pager.patch to use /usr/bin/pager instead of more when PAGER is
    not defined (closes: #695909).
  * Update debian/copyright and switch to machine-readable format.

 -- Stephen Kitt <skitt@debian.org>  Sun, 07 Jul 2013 00:38:26 +0200

units (1.88-2) unstable; urgency=low

  * Orphaned

 -- John G. Hasler <jhasler@debian.org>  Fri, 19 Apr 2013 14:06:55 -0500

units (1.88-1) unstable; urgency=low

  * New upstream release
  
    Closes: #629926: Temperature units are not correctly converted
    Closes: #642973: currency exchange rates should be updated
  
 -- John G. Hasler <jhasler@debian.org>  Tue, 19 Jun 2012 20:16:52 -0500
 

units (1.87-2) unstable; urgency=low

  * Deleted debian/prerm, fixed debian/postinst and postrm.
    Added debian/compat (level 7), Edited debian/control
    Brought standards-version up to 3.8.3, updated libreadline
    build dependency, added dpkg (>= 1.15.4) | install-info to depends:

  * Replaced "more" with "/usr/bin/pager" at line 55 in units.c
    Closes: #548597: Please use /usr/bin/pager as default pager
  
 -- John G. Hasler <jhasler@debian.org>  Wed, 07 Oct 2009 21:34:00 -0500

units (1.87-1) unstable; urgency=low

  * New upstream release
  
    Upstream made "*" and "/" the same precedence.
    Closes: #359658: units: precedence of '/' is bad 
  
    Units reads ~/.units.dat if it exists before reading the standard
    units database.
    Closes: #456544: units: $UNITSFILE doesn't override default anymore 
  
 -- John Hasler <jhasler@debian.org>  Sun, 20 Jul 2008 21:54:50 -0500

units (1.86a-1) unstable; urgency=low

  * New upstream release
  
    Upstream has changed this section: we now have usbillion and
    brbillion.  Elsewhere billion is defined as usbillion.  Perhaps 
    in the future this could be made to depend on locale.
    Closes: #165946: units: Confusing information in units.dat
  
    Upstream added a "help" command that searches the database.
    Closes: #375255: units: wishlist (finding the "unit")
  
    Closes: #370224: crochet is spelled crotchet
  
  * 'install -s' now only used if 'nostrip' is not in DEB_BUILD_OPTIONS.
    Closes: #438233: units: not handling nostrip build option (policy 10.1)

  * Fixed menu entry.
  
  * Fixed parallel build problem by consolidating all "install -d"
    commands in debian/rules into one line.
  
  
 -- John Hasler <jhasler@debian.org>  Sun, 2 Dec 2007 21:46:50 -0600

units (1.85-3) unstable; urgency=low

  * Fixed typo in control file
  
  * Added missing build-depends on texinfo
    Closes: #340850: FTBFS: makeinfo: Command not found
  
 -- John Hasler <jhasler@debian.org>  Wed, 21 Dec 2005 21:10:54 -0600

units (1.85-2) unstable; urgency=low

  * Fixed calling of configure script in rules.
    Closes: #340850: FTBFS: makeinfo: Command not found
  
  * Upstream changed handling of imperial units (didn't notice earlier).
    Closes: #259411: Mile incorrectly related to other imperial units

 -- John Hasler <jhasler@debian.org>  Tue, 13 Dec 2005 20:56:45 -0600

units (1.85-1) unstable; urgency=low

  * New upstream release
    Closes: #339108 units: new upstream release available
    Closes: #223890 Missing 0 in the help text.
    Closes: #266752 -V: doubled slash
    Closes: #233472 suggest cdromspeed and dvdspeed units
    Closes: #204473 "nmi" should be "nauticalmile", not "nanomile" [patch]
  
  * Fixed build dependencies.
    Closes: #326284 please rebuild with libreadline5-dev as build dependency
    Closes: #322941 switch to libreadline5
  
  * Fixed typos.
    Closes: #302822 'man units' typos: "Fahrehneit" and "accomodates"
  
  * Corrected FSF address.
  
  * Put missing quotes in menu, moved menu to /usr/share.
  
 -- John Hasler <jhasler@debian.org>  Tue, 22 Nov 2005 21:33:27 -0600

units (1.81-4) unstable; urgency=low

  * Added md5sums.

 -- John Hasler <jhasler@debian.org>  Tue, 2 Dec 2003 14:30:00 -0500

units (1.81-3) unstable; urgency=low

  * Closes: #195260 FTBFS with gcc-3.3: Uses multiline strings
    Removed example script from end of units.c.  gcc 3.3 was
    choking on it despite it being inside a '#if 0 ... #endif'.



=== debian/control ===
Source: units
Section: utils
Priority: optional
Maintainer: Stephen Kitt <skitt@debian.org>
Standards-Version: 3.9.5
Build-Depends: bison,
               debhelper (>= 9),
               dh-autoreconf,
               libreadline-dev,
               python,
               texinfo
Homepage: http://ftp.gnu.org/gnu/units/
Vcs-Git: git://anonscm.debian.org/collab-maint/units.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/units.git;a=summary

Package: units
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: ${python:Depends}
Description: converts between different systems of units
 GNU 'units' program converts quantities expressed in various scales
 to their equivalents in other scales.  The 'units' program can only
 handle multiplicative scale changes directly.  It uses a functional
 notation for "nonlinear" conversions such a Fahrenheit temperature
 to Celsius temperature.
 .
 This package includes the units_cur script to update currency
 conversion information; this script requires a Python interpreter.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file - for GNU Units (2.01).

%:
	dh $@ --with autoreconf,python2

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
ftp://ftp.gnu.org/gnu/units (?:.*/)?units[_\-\.]?(\d\S*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## units 2.11

=== debian/changelog ===
units (2.11-2) unstable; urgency=medium

  * Document the requirement on unidecode (closes: #767864).
  * Avoid unidecode warnings when decoding ASCII strings; thanks to
    Hagen Fuchs for the patch!
  * Standards-Version 3.9.6, no change required.
  * Stop texi2man from including the date in its output, so that the build
    can be reproducible.

 -- Stephen Kitt <skitt@debian.org>  Thu, 30 Apr 2015 17:57:23 +0200

units (2.11-1) unstable; urgency=medium

  * New upstream version.

 -- Stephen Kitt <skitt@debian.org>  Wed, 09 Apr 2014 07:35:23 +0200

units (2.10-1) unstable; urgency=medium

  * New upstream version.
  * Refresh patches, deleting generic-python.patch (no longer relevant)
    and bisonfix.patch (merged upstream).
  * Add missing '/' to debian/watch to allow updating to the latest
    version.

 -- Stephen Kitt <skitt@debian.org>  Sun, 30 Mar 2014 00:06:25 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Stephen Kitt <skitt@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: bison,
                debhelper (>= 9),
                dh-autoreconf,
+	       dh-python,
                libreadline-dev,
                python,
                texinfo

=== debian/rules ===
--- 
+++ 
@@ -3,3 +3,6 @@
 
 %:
 	dh $@ --with autoreconf,python2
+
+override_dh_python2:
+	dh_python2 --depends=unidecode

## units 2.12

=== debian/changelog ===
units (2.12-2) unstable; urgency=medium

  * Switch to https: VCS URIs (see #810378).
  * Link to the actual homepage for units (thanks 積丹尼 Dan Jacobson;
    closes: #813285).
  * Correct the documentation for '-H' (thanks to Jakub Wilk; closes:
    #803679).
  * Describe °C—°F conversions as non-proportional rather than non-
    linear (thanks to Lionel Elie Mamane for the suggestion; closes:
    #410935).
  * Apply upstream fix for µs (closes: #813104).

 -- Stephen Kitt <skitt@debian.org>  Sun, 31 Jan 2016 16:15:28 +0100

units (2.12-1) unstable; urgency=medium

  * New upstream version.
  * Refresh patches, deleting texinfo.patch (merged upstream),
    preserve-cppflags.patch (merged upstream), and units_cur-warning.patch
    (fixed differently upstream).
  * Add signature verification information.
  * Use the postinst/postrm generated by dh_installmenu.
  * dh-python no longer supports ${python:Depends} in the "Recommends"
    stanza, so hard-code the Python dependencies instead.
  * Prevent currency updates during the build (this allows building
    twice in a row and avoids Internet access during the build).

 -- Stephen Kitt <skitt@debian.org>  Sun, 18 Oct 2015 23:27:09 +0200

=== debian/control ===
Source: units
Section: utils
Priority: optional
Maintainer: Stephen Kitt <skitt@debian.org>
Standards-Version: 3.9.6
Build-Depends: bison,
               debhelper (>= 9),
               dh-autoreconf,
               libreadline-dev,
               python,
               texinfo
Homepage: https://www.gnu.org/software/units/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/units.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/units.git

Package: units
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: python-unidecode
Description: converts between different systems of units
 GNU 'units' program converts quantities expressed in various scales
 to their equivalents in other scales.  The 'units' program can only
 handle multiplicative scale changes directly.  It uses a functional
 notation for non-proportional conversions such a Fahrenheit
 temperature to Celsius temperature.
 .
 This package includes the units_cur script to update currency
 conversion information; this script requires a Python interpreter.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file - for GNU Units

%:
	dh $@ --with autoreconf

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,pgpsigurlmangle=s/$/.sig/ \
ftp://ftp.gnu.org/gnu/units/ (?:.*/)?units[_\-\.]?(\d\S*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## units 2.13

=== debian/changelog ===
units (2.13-1) unstable; urgency=medium

  * New upstream version:
    - drop micro-second-fix.patch, merged upstream;
    - refresh no-currency-update.patch;
    - refresh manpage-typos.patch, partially merged upstream.
  * Clean the built object files so the package can be built twice in a
    row.
  * Enable all hardening options.
  * Clean up debian/control using cme.
  * Standards-Version 3.9.8, no further change required.
  * Switch to the Python 3 version of units_cur.
  * Add a manpage for units_cur.

 -- Stephen Kitt <skitt@debian.org>  Sun, 26 Jun 2016 15:50:10 +0200

=== debian/control ===
Source: units
Maintainer: Stephen Kitt <skitt@debian.org>
Section: utils
Priority: optional
Build-Depends: bison,
               debhelper (>= 9),
               dh-autoreconf,
               libreadline-dev,
               python3,
               texinfo
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/units.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/units.git
Homepage: https://www.gnu.org/software/units/

Package: units
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: python3-unidecode
Description: converts between different systems of units
 GNU 'units' program converts quantities expressed in various scales
 to their equivalents in other scales.  The 'units' program can only
 handle multiplicative scale changes directly.  It uses a functional
 notation for non-proportional conversions such a Fahrenheit
 temperature to Celsius temperature.
 .
 This package includes the units_cur script to update currency
 conversion information; this script requires a Python 3 interpreter.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file - for GNU Units

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf

## units 2.14

=== debian/changelog ===
units (2.14-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper compatibility level 10.

 -- Stephen Kitt <skitt@debian.org>  Mon, 19 Jun 2017 22:52:17 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Section: utils
 Priority: optional
 Build-Depends: bison,
-               debhelper (>= 9),
-               dh-autoreconf,
+               debhelper (>= 10),
                libreadline-dev,
                python3,
                texinfo

## units 2.16

=== debian/changelog ===
units (2.16-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 02 Nov 2017 22:55:45 +0100

units (2.15-1) unstable; urgency=medium

  * New upstream release, using python3-requests instead of
    python3-unidecode.
  * Switch to a secured URL in debian/watch.
  * Standards-Version 4.1.1, no further change required.
  * Clean up debian/changelog whitespace.

 -- Stephen Kitt <skitt@debian.org>  Sun, 29 Oct 2017 20:29:18 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                libreadline-dev,
                python3,
                texinfo
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/units.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/units.git
 Homepage: https://www.gnu.org/software/units/
@@ -16,7 +16,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: python3-unidecode
+Recommends: python3-requests
 Description: converts between different systems of units
  GNU 'units' program converts quantities expressed in various scales
  to their equivalents in other scales.  The 'units' program can only
@@ -25,4 +25,5 @@
  temperature to Celsius temperature.
  .
  This package includes the units_cur script to update currency
- conversion information; this script requires a Python 3 interpreter.
+ conversion information; this script requires a Python 3 interpreter
+ and the python3-requests library.

=== debian/rules ===
--- 
+++ 
@@ -4,4 +4,4 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with autoreconf
+	dh $@

## units 2.17

=== debian/changelog ===
units (2.17-3) unstable; urgency=medium

  * Actually remove the cron.daily file on upgrade.

 -- Stephen Kitt <skitt@debian.org>  Sun, 08 Jul 2018 23:36:59 +0200

units (2.17-2) unstable; urgency=medium

  * Avoid calculating the MD5 sum of the shipped currency.units since it
    is intended to be overwritten eventually. Closes: #902929.
  * Drop the cron job, it should be up to individual users when currencies
    are updated. Closes: #902890, #903317.

 -- Stephen Kitt <skitt@debian.org>  Sun, 08 Jul 2018 23:24:27 +0200

units (2.17-1) unstable; urgency=medium

  * New upstream release, handling Yahoo currency updates correctly.
    Closes: #900587.
  * Add a cron job to update currencies daily.

 -- Stephen Kitt <skitt@debian.org>  Tue, 26 Jun 2018 23:03:38 +0200

units (2.16-2) unstable; urgency=medium

  * Migrate to Salsa.
  * Explicitly recommend python3.
  * Switch to debhelper compatibility level 11.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 17 May 2018 00:46:42 +0200

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,20 @@
 Section: utils
 Priority: optional
 Build-Depends: bison,
-               debhelper (>= 10),
+               debhelper (>= 11~),
                libreadline-dev,
                python3,
                texinfo
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/units.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/units.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/debian/units
+Vcs-Git: https://salsa.debian.org/debian/units.git
 Homepage: https://www.gnu.org/software/units/
 
 Package: units
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: python3-requests
+Recommends: python3, python3-requests
 Description: converts between different systems of units
  GNU 'units' program converts quantities expressed in various scales
  to their equivalents in other scales.  The 'units' program can only
